<?xml version="1.0" encoding="ISO-8859-1"?>
<project name="XEMELIOS-starter" default="usage" basedir=".">
	<description>Builds, tests, and runs the project XEMELIOS starter</description>
	<property file="${user.home}/.ant.properties"/>
	<property name="compile.debug" value="true"/>
	<property file="build.properties"/>
	
	<target name="usage">
		<echo>
			Using ${ant.version}
			
			These are targets supported by this ANT build script:
			
			compile       - compile all .java files, except
					thoses in ./tmp folder.
			clean         - deletes all compiled and generated
					files and resources.
			jars          - build jar files.
			
			Do not call this script directly, use the one located
				at roto of the project (../..) instead.
		</echo>
	</target>
	
	<target name="compile" depends="mk-output-dirs">
		<javac srcdir="java" destdir="build/classes" debug="${compile.debug}" encoding="ISO-8859-1"/>
	</target>
	
	<target name="jars">
            <property file="component.properties"/>
            <copy file="manifest/manifest.txt" tofile="build/manifest.txt">
                <filterset>
                    <filter token="version" value="${component.release}"/>
                    <filter token="name" value="${component.name}"/>
                </filterset>
            </copy>
            <jar destfile="build/jars/xemelios.jar" basedir="build/classes" manifest="build/manifest.txt"/>
	</target>
	
	<target name="clean">
		<delete dir="build"/>
	</target>

        <target name="config">
		<property file="component.properties"/>
		<property name="component.dir" value="build/config/${component.name}/${component.release}"/>
		<mkdir dir="${component.dir}"/>
		<copy todir="${component.dir}">
                    <fileset dir="build/jars" includes="*.jar"/>
		</copy>
		<propertyfile file="${component.dir}/component.properties">
			<entry key="description" value="Lanceur Xemelios"/>
			<entry key="type" value="xemelios-updates"/>
			<entry key="base.dest" value="${xemelios.prg}/root/"/>
		</propertyfile>
        </target>
	
	<target name="setup">
		<copy todir="../../build/setup/root">
			<fileset dir="build/jars" includes="*.jar"/>
		</copy>
		<!--copy todir="../../build/documents-def">
			<fileset dir="conf" includes="**/*" excludes="**/CVS"/>
		</copy-->
	</target>
	
	<target name="mk-output-dirs">
		<mkdir dir="build/classes"/>
		<mkdir dir="build/jars"/>
	</target>
</project>
 
